#pragma once
#include <map>
struct M_ActivityCarnivalFullCFGData
{
	//编号
	int mID;
	//描述
	std::string mDsc;
	//完成计数
	int mNeedRecharged;
	//积分ID
	int mBigRedId;
	//单个大红包积分
	std::vector<int> mBigRedIntegral;
	//红包前端显示数值
	std::vector<std::string> mBigRedDisplay;
	//奖励物品ID
	std::vector<int> mAwardItemIDs;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
};

class M_ActivityCarnivalFullCFG
{
public:
private:
	static std::auto_ptr<M_ActivityCarnivalFullCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityCarnivalFullCFGData* GetData(int ID);
	const std::map<int, M_ActivityCarnivalFullCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityCarnivalFullCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityCarnivalFullCFGData> mMapData;
};
